import json, urllib.request

req = urllib.request.Request(
    'https://canifa.com/v1/middleware/search_product',
    data=json.dumps({"sku":["8TS26S008-SA718"]}).encode('utf-8'),
    headers={'Content-Type': 'application/json'}
)
try:
    with urllib.request.urlopen(req) as f:
        print(f.read().decode('utf-8'))
except Exception as e:
    print(e)
